classification
Title: Introduce a .github folder with PULL_REQUEST_TEMPLATE
Type: enhancement Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: brett.cannon, ned.deily, orsenthil, python-dev
Priority: normal Keywords: patch

Created on 2016-07-10 18:52 by orsenthil, last changed 2017-03-05 17:58 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
issue2476.patch orsenthil, 2016-07-10 19:00 review
issue27476-v2.patch orsenthil, 2016-07-10 19:22 review
Messages (8)
msg270124 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-07-10 18:52
PULL_REQUEST_TEMPLATE will discourage pull requests in github repo and will instead point to python hg repo and dev guide. This will be removed after the hg to git migration is complete.
msg270125 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-07-10 18:54
Context: https://mail.python.org/pipermail/core-workflow/2016-July/000616.html
https://github.com/python/cpython/pull/41
msg270126 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-07-10 19:00
Here is the patch.
msg270128 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-10 19:07
Review is done and only two comments for minor tweaks.
msg270129 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-07-10 19:22
Thanks. Addressed the review comments. Committing this.
msg270130 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-10 19:24
New changeset 40e2dd4f7612 by Senthil Kumaran in branch 'default':
issue27476 - Introduce a .github template to discourage github pull requests
https://hg.python.org/cpython/rev/40e2dd4f7612
msg289004 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-05 08:08
Now that the transition has occurred, is it time to remove this file and its .github directory?
msg289033 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-03-05 17:58
The .github directory needs to stay and is being used for other purposes (like providing contributing guidelines (https://github.com/blog/1184-contributing-guidelines)).

The old pull request template has already been deleted:
https://github.com/python/cpython/commit/6f0eb93183519024cb360162bdd81b9faec97ba6

This bug can be closed IMO.
History
Date User Action Args
2017-03-05 17:58:23orsenthilsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-03-05 17:58:12orsenthilsetmessages: + msg289033
2017-03-05 08:08:03ned.deilysetstatus: closed -> open

versions: + Python 3.7
nosy: + ned.deily

messages: + msg289004
resolution: fixed -> (no value)
stage: resolved -> needs patch
2016-07-11 02:32:42berker.peksagsetstatus: open -> closed
type: behavior -> enhancement
resolution: fixed
stage: commit review -> resolved
2016-07-10 19:24:50python-devsetnosy: + python-dev
messages: + msg270130
2016-07-10 19:22:27orsenthilsetfiles: + issue27476-v2.patch

messages: + msg270129
2016-07-10 19:07:55brett.cannonsetnosy: + brett.cannon

messages: + msg270128
stage: commit review
2016-07-10 19:00:04orsenthilsetfiles: + issue2476.patch
keywords: + patch
messages: + msg270126
2016-07-10 18:54:23orsenthilsetmessages: + msg270125
versions: + Python 3.6
2016-07-10 18:52:52orsenthilcreate